For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet a list of all projects.
      • POSTCreate project
      • POSTValidate project ID
      • PUTUpdate project
      • DELDelete project
      • PUTUpdate project enterprise settings
      • POSTArchive project
      • POSTRevive project
      • GETGet users and groups in project
      • POSTConfigure project access
      • PUTSet users and groups to roles in the current project
      • GETGet project-role mappings
      • PUTSets roles for user
      • DELRemove project access for a user
      • PUTSets roles for group
      • DELRemove project access for a group
      • GET[BETA] List action sets.
      • POST[BETA] Create an action set.
      • PUT[BETA] Update an action set.
      • DEL[BETA] Delete an action set.
      • POST[BETA] Enables an action set.
      • POST[BETA] Disables an action set.
      • GET[BETA] Get action events for a specific action set.
      • GET[BETA] Configuration for the actions UI.
      • GETGet an overview of a project.
      • GETGet an overview project dora metrics.
      • GETGet a list of all applications for a project.
      • GETGet a list of all flag creators for a project.
      • GETGet outdated project SDKs
      • POSTAdd an environment to a project.
      • DELRemove an environment from a project.
      • POSTSet environment-default strategy
      • GETGet a health report for a project.
      • GETGet api tokens for project.
      • POSTCreate a project API token.
      • DELDelete a project API token.
      • GETGet an overview of a project insights.
      • GET[BETA] Get project status
      • GET[BETA] Get personal dashboard
      • GET[BETA] Get personal project details

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIProjects

[BETA] Update an action set.

||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/projects/:projectId/actions/:id
PUT
/api/admin/projects/:projectId/actions/:id
$curl -X PUT https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Disable new features",
> "actorId": 12,
> "actions": [
> {
> "action": "disable-feature",
> "sortOrder": 1
> }
> ],
> "match": {
> "source": "signal-endpoint",
> "sourceId": 123,
> "payload": {
> "type": "error-rate-above-threshold"
> }
> }
>}'
1{
2 "id": 1,
3 "project": "default",
4 "createdAt": "2023-12-27T13:37:00+01:00",
5 "createdByUserId": 1,
6 "name": "Disable new features",
7 "actorId": 12,
8 "actions": [
9 {
10 "id": 1,
11 "createdAt": "2023-12-27T13:37:00+01:00",
12 "createdByUserId": 1,
13 "action": "disable-feature",
14 "sortOrder": 1,
15 "executionParams": {
16 "featureName": "my-feature"
17 }
18 }
19 ],
20 "match": {
21 "source": "signal-endpoint",
22 "sourceId": 123,
23 "payload": {
24 "type": "error-rate-above-threshold"
25 }
26 },
27 "description": "Disables new features when error rate is above threshold",
28 "enabled": true
29}

Enterprise feature

[BETA] This API is in beta state, which means it may change or be removed in the future.

Updates an existing action set identified by its id.

Was this page helpful?
Previous

[BETA] Delete an action set.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
idstringRequired

Request

createActionsSchema
namestringRequired
The name of the action set
actorIdintegerRequired>=1
The id of the service account that will execute the action
actionslist of objectsRequired
The list of actions to execute in sequential order when the action set is triggered
matchobjectRequired
Defines a matching rule for the signal that will trigger the action set
descriptionstring or nullOptional
The description of the action set
enabledbooleanOptionalDefaults to true
Whether this action set is enabled or not

Response

actionsSchema
idinteger>=1
The ID of the action set.
projectstring
The project that this action set belongs to.
createdAtstringformat: "date-time"
The date and time of when the action set was created.
createdByUserIdinteger
The ID of the user that created this action set.
namestring
The name of the action set
actorIdinteger>=1
The id of the service account that will execute the action
actionslist of objects
The list of actions to execute in sequential order when the action set is triggered.
matchobject
Defines a matching rule for the signal that will trigger the action set
descriptionstring or null
The description of the action set
enabledbooleanDefaults to true
Whether this action set is enabled or not

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
415
Unsupported Media Type Error